<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>ParserContext (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ParserContext (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/input/NoMatchException.html" title="class in com.sk89q.worldedit.extension.input"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/input/ParserContext.html" target="_top">Frames</a></li>
<li><a href="ParserContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.input</div>
<h2 title="Class ParserContext" class="title">Class ParserContext</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extension.input.ParserContext</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ParserContext</span>
extends java.lang.Object</pre>
<div class="block">Contains contextual information that may be useful when constructing
 objects from a registry (such as <a href="../../../../../com/sk89q/worldedit/extension/factory/MaskFactory.html" title="class in com.sk89q.worldedit.extension.factory"><code>MaskFactory</code></a>).

 <p>By default, <a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#isRestricted--"><code>isRestricted()</code></a> will return true.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#ParserContext--">ParserContext</a></span>()</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#ParserContext-com.sk89q.worldedit.extension.input.ParserContext-">ParserContext</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;other)</code>
<div class="block">Creates a copy of another instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#getActor--">getActor</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> set on this context.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#getExtent--">getExtent</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> set on this context.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#getSession--">getSession</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><code>LocalSession</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#getWorld--">getWorld</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> set on this context.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#isPreferringWildcard--">isPreferringWildcard</a></span>()</code>
<div class="block">Get whether wildcards are preferred.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#isRestricted--">isRestricted</a></span>()</code>
<div class="block">Returns whether there should be restrictions (as a result of
 limits or permissions) considered when parsing the input.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#isTryingLegacy--">isTryingLegacy</a></span>()</code>
<div class="block">Get whether legacy IDs should be tried.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#requireActor--">requireActor</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> set on this context.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#requireExtent--">requireExtent</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> set on this context.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#requireSession--">requireSession</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><code>LocalSession</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#requireWorld--">requireWorld</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> set on this context.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setActor-com.sk89q.worldedit.extension.platform.Actor-">setActor</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Set the actor.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setExtent-com.sk89q.worldedit.extent.Extent-">setExtent</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</code>
<div class="block">Set the extent.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setPreferringWildcard-boolean-">setPreferringWildcard</a></span>(boolean&nbsp;preferringWildcard)</code>
<div class="block">Set whether wildcards are preferred.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setRestricted-boolean-">setRestricted</a></span>(boolean&nbsp;restricted)</code>
<div class="block">Set whether there should be restrictions (as a result of
 limits or permissions) considered when parsing the input.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setSession-com.sk89q.worldedit.LocalSession-">setSession</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</code>
<div class="block">Set the session.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setTryLegacy-boolean-">setTryLegacy</a></span>(boolean&nbsp;tryLegacy)</code>
<div class="block">Set whether legacy IDs should be attempted.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Set the world.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ParserContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParserContext</h4>
<pre>public&nbsp;ParserContext()</pre>
<div class="block">Create a new instance.</div>
</li>
</ul>
<a name="ParserContext-com.sk89q.worldedit.extension.input.ParserContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ParserContext</h4>
<pre>public&nbsp;ParserContext(<a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;other)</pre>
<div class="block">Creates a copy of another instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExtent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtent</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;getExtent()</pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an extent</dd>
</dl>
</li>
</ul>
<a name="setExtent-com.sk89q.worldedit.extent.Extent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtent</h4>
<pre>public&nbsp;void&nbsp;setExtent(@Nullable
                      <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</pre>
<div class="block">Set the extent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - an extent, or null if none is available</dd>
</dl>
</li>
</ul>
<a name="getSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSession</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;getSession()</pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><code>LocalSession</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a session</dd>
</dl>
</li>
</ul>
<a name="setSession-com.sk89q.worldedit.LocalSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSession</h4>
<pre>public&nbsp;void&nbsp;setSession(@Nullable
                       <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</pre>
<div class="block">Set the session.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>session</code> - a session, or null if none is available</dd>
</dl>
</li>
</ul>
<a name="getWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorld</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorld()</pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a world</dd>
</dl>
</li>
</ul>
<a name="setWorld-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorld</h4>
<pre>public&nbsp;void&nbsp;setWorld(@Nullable
                     <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Set the world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - a world, or null if none is available</dd>
</dl>
</li>
</ul>
<a name="getActor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActor</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;getActor()</pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an actor, or null</dd>
</dl>
</li>
</ul>
<a name="setActor-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setActor</h4>
<pre>public&nbsp;void&nbsp;setActor(@Nullable
                     <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Set the actor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - an actor, or null if none is available</dd>
</dl>
</li>
</ul>
<a name="requireExtent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requireExtent</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;requireExtent()
                     throws <a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an extent</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code> - thrown if no <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> is set</dd>
</dl>
</li>
</ul>
<a name="requireSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requireSession</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;requireSession()
                            throws <a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><code>LocalSession</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a session</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code> - thrown if no <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><code>LocalSession</code></a> is set</dd>
</dl>
</li>
</ul>
<a name="requireWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requireWorld</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;requireWorld()
                   throws <a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a world</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code> - thrown if no <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> is set</dd>
</dl>
</li>
</ul>
<a name="requireActor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requireActor</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;requireActor()
                   throws <a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> set on this context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an actor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code> - thrown if no <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> is set</dd>
</dl>
</li>
</ul>
<a name="isRestricted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRestricted</h4>
<pre>public&nbsp;boolean&nbsp;isRestricted()</pre>
<div class="block">Returns whether there should be restrictions (as a result of
 limits or permissions) considered when parsing the input.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if restricted</dd>
</dl>
</li>
</ul>
<a name="setRestricted-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestricted</h4>
<pre>public&nbsp;void&nbsp;setRestricted(boolean&nbsp;restricted)</pre>
<div class="block">Set whether there should be restrictions (as a result of
 limits or permissions) considered when parsing the input.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>restricted</code> - true if restricted</dd>
</dl>
</li>
</ul>
<a name="isPreferringWildcard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPreferringWildcard</h4>
<pre>public&nbsp;boolean&nbsp;isPreferringWildcard()</pre>
<div class="block">Get whether wildcards are preferred.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if wildcards are preferred</dd>
</dl>
</li>
</ul>
<a name="setPreferringWildcard-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreferringWildcard</h4>
<pre>public&nbsp;void&nbsp;setPreferringWildcard(boolean&nbsp;preferringWildcard)</pre>
<div class="block">Set whether wildcards are preferred.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preferringWildcard</code> - true if wildcards are preferred</dd>
</dl>
</li>
</ul>
<a name="setTryLegacy-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTryLegacy</h4>
<pre>public&nbsp;void&nbsp;setTryLegacy(boolean&nbsp;tryLegacy)</pre>
<div class="block">Set whether legacy IDs should be attempted.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tryLegacy</code> - true if legacy IDs should be attempted</dd>
</dl>
</li>
</ul>
<a name="isTryingLegacy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isTryingLegacy</h4>
<pre>public&nbsp;boolean&nbsp;isTryingLegacy()</pre>
<div class="block">Get whether legacy IDs should be tried.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if legacy should be tried</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/input/NoMatchException.html" title="class in com.sk89q.worldedit.extension.input"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/input/ParserContext.html" target="_top">Frames</a></li>
<li><a href="ParserContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
